Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultSingleSelectionModel

    java.lang.Object
      |
      +--javax.swing.DefaultSingleSelectionModel

public class DefaultSingleSelectionModel
extends java.lang.Object
implements SingleSelectionModel, java.io.Serializable

A generic implementation of SingleSelectionModel.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected ChangeEvent` | `changeEvent`
`protected EventListenerList` | `listenerList` The collection of registered listeners

Constructor Summary
`DefaultSingleSelectionModel()`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a ChangeListener to the button.
`void` | `clearSelection()`
`protected void` | `fireStateChanged()`
`int` | `getSelectedIndex()`
`boolean` | `isSelected()`
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener from the button.
`void` | `setSelectedIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

### listenerList

    protected EventListenerList listenerList

  The collection of registered listeners

Constructor Detail

### DefaultSingleSelectionModel

    public DefaultSingleSelectionModel()

Method Detail

### getSelectedIndex

    public int getSelectedIndex()

  Specified by:
    getSelectedIndex in interface SingleSelectionModel

### setSelectedIndex

    public void setSelectedIndex(int index)

  Specified by:
    setSelectedIndex in interface SingleSelectionModel

### clearSelection

    public void clearSelection()

  Specified by:
    clearSelection in interface SingleSelectionModel

### isSelected

    public boolean isSelected()

  Specified by:
    isSelected in interface SingleSelectionModel

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a ChangeListener to the button.
  Specified by:
    addChangeListener in interface SingleSelectionModel

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a ChangeListener from the button.
  Specified by:
    removeChangeListener in interface SingleSelectionModel

### fireStateChanged

    protected void fireStateChanged()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.